Name:    hping2
Version: 2.0.0
Release: 0.3.rc3
Epoch:   0 
Summary: A software to do TCP/IP stack auditing and much more

Group: Applications/Internet
License: GPL
URL: http://www.hping.org/	
Source0: http://www.hping.org/hping2.0.0-rc3.tar.gz
Patch0: hping2-include.patch
Patch1: hping2-x86_64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libpcap

%description
hping2 is a network tool able to send custom ICMP/UDP/TCP packets and
to display target replies like ping do with ICMP replies. hping2
handle fragmentation, arbitrary packet body and size and can be used
in order to transfer files under supported protocols.

%prep
%setup -q -n hping2-rc3
%patch0 -p0
%patch1 -p0

%build
%configure --force-libpcap
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install -m0755 hping2 $RPM_BUILD_ROOT%{_sbindir}
install -m0644 docs/hping2.8 $RPM_BUILD_ROOT%{_mandir}/man8

ln -sf hping2 $RPM_BUILD_ROOT%{_sbindir}/hping

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%doc COPYING *BUGS CHANGES README TODO docs/AS-BACKDOOR docs/HPING2-HOWTO.txt 
%doc docs/HPING2-IS-OPEN docs/MORE-FUN-WITH-IPID docs/SPOOFED_SCAN.txt

%changelog
* Sun Feb 13 2005 Thorsten Leemhuis <fedora at leemhuis dot info> - 2.0.0-0.3.rc3
- Add patch to fix build on x86_64

* Wed Dec 08 2004 Adrian Reber <adrian@lisas.de> - 0:2.0.0-0.2.rc3
- fixed compile bug (fedora.us bug #1700)
- updated to 2.0.0-rc3
- changed buildroot
- removed requires libpcap

* Tue Oct 07 2003 Miguel Armas <kuko@maarmas.com> - 2.0.0-0.fdr.0.2.rc2
- Some SPEC cleanups

* Sat Oct 03 2003 Miguel Armas <kuko@maarmas.com> - 2.0.0-0.fdr.0.1.rc2
- First Fedora Package
